/*******************************************************************
*   Reset Styles
*
*******************************************************************/

:root {
    --drawer-width: 610px !important;
    --gray-900: #313131;
    --gp-slideout-width: 100vw !important;
    --kpn-slideout-offset: 74px;
    --kpn-adminbar: 0px;
    --black: #0F0F0F;
}

ul,
ol {
    margin: 0;
    padding: 0;
    list-style: none;
}

.wpcf7 .wpcf7-form .wpcf7-submit {
    width: fit-content;
    border-radius: 0;
}


/*******************************************************************
* NOTIFICATIONS STYLES
*
*******************************************************************/

body .notification.error {
    border-left: 4px solid var(--status-error);
    background-color: var(--status-error-bg);
    width: 100%;
    max-width: fit-content;
    display: flex;
    align-items: center;
    padding: 8px 12px;
}

/* Ícono inline como pseudo-elemento */
body .notification.error::before {
    background: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16' fill='none'><g clip-path='url(%23clip0_4518_1166)'><path d='M8.00016 14.6666C11.6821 14.6666 14.6668 11.6819 14.6668 7.99998C14.6668 4.31808 11.6821 1.33331 8.00016 1.33331C4.31826 1.33331 1.3335 4.31808 1.3335 7.99998C1.3335 11.6819 4.31826 14.6666 8.00016 14.6666Z' stroke='%23E29279' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/><path d='M10 6L6 10' stroke='%23E29279' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/><path d='M6 6L10 10' stroke='%23E29279' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/></g><defs><clipPath id='clip0_4518_1166'><rect width='16' height='16' fill='white'/></clipPath></defs></svg>") no-repeat center;
    content: "";
    display: inline-block;
    margin-right: 8px;
    transform: translateY(3px);
    height: 16px;
    width: 16px;
}


body .h-divider-line {
    margin: 24px 0;
    width: 100%;
    height: 1px;
}

body .h-divider-line.divider-light {
    background: #F2EEE8;
}

body .h-divider-line.divider-strong {
    background-color: #E4E4E4;
}

.kpn-zoom-container-img img {
    transition: transform 0.3s ease;
}

.kpn-zoom-container-img:hover img {
    transform: scale(1.05) !important;
}

.text-ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: block;
    width: 100%;
}

.searchwp-live-search-results{
    min-width: 290px;
}

.searchwp-live-search-result{
    flex-wrap: initial;
}

.searchwp-form-input-container{
    min-width: 240px;
}

form.searchwp-form .searchwp-form-input-container input{
    background-color: unset;
    line-height: 20px;
    font-size: 14px;
    padding-top: 4px;
    padding-bottom: 4px;
    letter-spacing: 2px;
    border-color: var(--gray-700) !important;
}

form.searchwp-form .searchwp-form-input-container input:focus-visible{
    outline: unset;
    border-color: var(--black) !important;
}

.searchwp-live-search-result--title{
    line-height: 18px;
}

.searchwp-live-search-result--title a{
    color: var(--black, #0F0F0F);
    font-size: 12px;
    font-weight: 400;
    line-height: 18px; /* 150% */
    letter-spacing: 0.5px;
    text-decoration: unset;
    font-family: "DM Sans", sans-serif;
}



@media (max-width: 768px) {
    .wc-block-mini-cart__drawer.wc-block-components-drawer {
        width: 480px !important;
    }
    .woocommerce .text-titles{
        font-weight: normal;
    }
}

@media (max-width: 480px) {
    .wc-block-mini-cart__drawer.wc-block-components-drawer {
        width: 343px !important;
    }
    .searchwp-live-search-results{
        width: 290px;
    }
}



/* Paginación */

.nav-links {
    display: flex;
    column-gap: 16px;
    justify-content: center;
    margin-top: 56px;
}

.page-numbers div {
    display: flex;
    align-items: center;
    gap: 8px;
    font-weight: 400;
    font-size: 16px;
    color: #0F0F0F;
}

.page-numbers {
    display: flex;
    justify-content: center;
    padding: 10px !important;
    border-radius: 1000px !important;
    min-width: 40px;
    height: 40px;
    color: #0F0F0F;
    font-weight: 600;
    font-size: 18px;
    align-items: center;
}

.page-numbers.current {
    background: #0F0F0F;
    color: #FAFAFA;
}

.kpn-pg {
    display: flex;
    align-items: center;
}

/* Footer */

.footer-nav-container {
    display: flex;
    flex-direction: column;
    align-items: baseline;
    gap: 24px;
    color: var(--gray-900);
}


@media (max-width: 768px) {
    .footer-nav-container {
        gap: 16px;
    }
}


/* ===== Scrollbar Global ===== */

/* Para Firefox */
html {
    scrollbar-width: thin;             /* ancho del scrollbar: auto | thin | none */
    scrollbar-color: #888 #f1f1f1;     /* thumb | track */
}

/* Para Chrome, Edge y Safari */
html::-webkit-scrollbar {
    width: 8px;                        /* ancho vertical */
    height: 8px;                       /* alto horizontal */
}

html::-webkit-scrollbar-track {
    background: #f1f1f1;               /* color de fondo del track */
    border-radius: 4px;
}

html::-webkit-scrollbar-thumb {
    background-color: #888;            /* color de la barra */
    border-radius: 4px;                /* bordes redondeados */
    border: 2px solid #f1f1f1;         /* espacio alrededor del thumb */
}

html::-webkit-scrollbar-thumb:hover {
    background-color: #555;            /* color al pasar el mouse */
}

.kpn-bc {
    text-transform: uppercase!important;
}